/*
 * 4inline game
 *
 * Copyright © 1998-2000, 2005 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "game.h"
#include "ui.h"

static void usage(void)
{
	printf(
	"Usage: 4inline [options]\n"
	"\n"
	"Options:\n"
	"  --ui <module>        Load a user interface module.\n"
	"  --help               Print this help.\n"
	);

	exit(0);
}

int main(int argc, char **argv)
{
	char *ui_name = "term";
	char **args = argv;

	if (argc > 1)
		ui_name = args[1];

	while (*args) {
		if (strcmp("--ui", *args) == 0) {
			args++;
			ui_name = *args;
		} else if (strcmp("--help", *args) == 0)
			usage();

		args++;
	}

	ui_load(ui_name);

	game_init();
	ui_init(argc, argv);

	ui_loop();

	ui_done();
	game_done();

	return 0;
}

