/*
 * Game module
 *
 * Copyright © 1998-2000, 2005, 2007 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#include "player.h"
#include "board.h"
#include "rules.h"
#include "game.h"

bool game_init(void)
{
	player_init();
	board_init();

	return true;
}

bool game_done(void)
{
	player_done();
	board_done();

	return true;
}

bool game_over(void)
{
	Line *winln = search_pattern(PLAYER_ANY, &win_pattern);

	if (winln) {
		board->winner = winln->owner;
		free_line(winln);
		return true;
	} else
		return (board->turn >= MAXTURN);
}

