/*
 * Player module
 *
 * Copyright © 1998-2000, 2005, 2007 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#include <stdlib.h>

#include "player.h"

Player *player;

bool player_init(void)
{
	Player *o_player, *x_player;

	o_player = malloc(sizeof(Player));
	x_player = malloc(sizeof(Player));

	player = o_player;

	o_player->symbol = PLAYER_POINT;
	o_player->type = HUMAN;
	o_player->ui_data = NULL;
	o_player->other = x_player;

	x_player->symbol = PLAYER_CROSS;
	x_player->type = HUMAN;
	x_player->ui_data = NULL;
	x_player->other = o_player;

	return true;
}

bool player_done(void)
{
	free(player->other);
	free(player);

	return true;
}

void swap_player(void)
{
	player = player->other;
}

