/*
 * Player module
 *
 * Copyright © 1998-2000, 2005, 2007 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef PLAYER_H
#define PLAYER_H

#include "types.h"

/*
 * Player symbols
 */
#define PLAYER_BLANK	' '
#define PLAYER_POINT	'O'
#define PLAYER_CROSS	'X'
#define PLAYER_NONE	'-'
#define PLAYER_ANY	'*'

typedef char symbol_t;

/*
 * Player types
 */
typedef enum {
	HUMAN = 0,
	COMUTER = 1,
} player_type_t;

typedef struct Move_st {
	count_t priority;
	index_t x, y;

	struct Move_st *next;
} Move;

typedef struct Player_st {
	symbol_t symbol;
	player_type_t type;
	Move *moves;
	struct Player_st *other;
	void *ui_data;

	int (*get_move)();
} Player;

extern Player *player;

extern bool player_init();
extern bool player_done();

extern void swap_player();

#endif

