/*
 * Independent types from system
 *
 * Lib Version 1.0.2
 *
 * A subminor version change mark a beautify source change
 * A minor version change mark an internal code change
 * A major version change mark an API change
 *
 * Copyright © 2000, 2001, 2005 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef TYPES_H
#define TYPES_H

#include <stdbool.h>

typedef	signed char		s8;
typedef	unsigned char		u8;
typedef	signed short		s16;
typedef	unsigned short		u16;
typedef	signed long		s32;
typedef	unsigned long		u32;

#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
typedef	signed long long	s64;
typedef	unsigned long long	u64;
#endif

/* System dependent data types */
typedef unsigned char	byte_t;		/* 8 bits = 1 octet = 1 Byte */
typedef unsigned long	natural_t;	/* N Natural number 0,1,2,...*/
typedef signed long	integer_t;	/* Z Integer number ...,-1,0,+1,... */
typedef long double	real_t;		/* R Real number */

/* System independent data types */
typedef natural_t	bool_t;		/* boolean */
typedef natural_t	count_t;	/* counter variable */
typedef natural_t	enum_t;		/* enumreation of something */
typedef integer_t	index_t;	/* general index */
typedef enum_t		type_t;		/* type of something */
typedef enum_t		what_t;		/* what something */

#if defined(__GNUC__)
#define PACKED		__attribute__((packed))
#define ALIGNED(n)	__attribute__((aligned(n)))
#else
#define PACKED
#define ALIGNED(n)
#endif

#endif

