/*
 * User Interface
 *
 * Copyright © 1998-2000, 2005, 2007 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef UI_H
#define UI_H

#include "types.h"

struct ui_module {
	char *name;
	bool (*init)(int argc, char **argv);
	bool (*done)();

	/* For UIs with an event loop. */
	bool (*loop)();

	/* For UIs without an event loop. */
	void (*display_board)();
	void (*display_winner)();
	int (*get_user_move)();
	void (*draw_board_move)(int x, int y);
};

extern bool ui_load(char *module_name);
extern bool ui_init(int app_argc, char **app_argv);
extern bool ui_loop();
extern bool ui_done();

extern struct ui_module ui_module;

#endif

